<?php
///
// Isolde (Revision r168core-r133app)
//
// A third party package for CodeIgniter
//
// Copyright (c) 2013 Kenta Saito (gatedruid.com)
// License       MIT License (See ../isolde_license.txt)
//
?>
<?php
class Image_core {

	private $src_image;

	private $mime;

	private $src_x;

	private $src_y;

	private $src_w;

	private $src_h;

	private $dst_w;

	private $dst_h;

	public function __construct()
	{
	}

	public function set_imagedata($imagedata)
	{
		$imagesize = getimagesizefromstring($imagedata);
		$this->src_image = imagecreatefromstring($imagedata);
		$this->mime = $imagesize['mime'];
		$this->src_x = 0;
		$this->src_y = 0;
		$this->src_w = $imagesize[0];
		$this->src_h = $imagesize[1];
		$this->dst_w = $imagesize[0];
		$this->dst_h = $imagesize[1];

		return $this;
	}

	public function get($key)
	{
		if ( ! in_array($key, array('mime', 'src_x', 'src_y', 'src_w', 'src_h', 'dst_w', 'dst_h')))
		{
			die("Error: invalid key: ({$key})<br />\n");
		}

		return $this->$key;
	}

	public function set($key, $value)
	{
		if ( ! in_array($key, array('src_x', 'src_y', 'src_w', 'src_h', 'dst_w', 'dst_h')))
		{
			die("Error: invalid key: ({$key})<br />\n");
		}
		$this->$key = $value;

		return $this;
	}

	public function trim($dst_w, $dst_h)
	{
		$this->dst_w = $dst_w;
		$this->dst_h = $dst_h;

		$src_ratio = $this->src_h / $this->src_w;
		$dst_ratio = $this->dst_h / $this->dst_w;

		if ($dst_ratio > $src_ratio)
		{
			$this->src_x = ($this->src_w - ($this->src_h / $dst_ratio)) / 2;
			$this->src_w = $this->src_h / $dst_ratio;
		}
		else if ($dst_ratio < $src_ratio)
		{
			$this->src_y = ($this->src_h - ($this->src_w * $dst_ratio)) / 2;
			$this->src_h = $this->src_w * $dst_ratio;
		}

		return $this;
	}

	public function resample($return = FALSE)
	{
		$dst_image = imagecreatetruecolor($this->dst_w, $this->dst_h);

		imagecopyresampled(
			$dst_image, $this->src_image,
			0, 0, $this->src_x, $this->src_y,
			$this->dst_w, $this->dst_h, $this->src_w, $this->src_h
		);

		if ($return)
		{
			ob_start();
		}
		else
		{
			header("Content-Type: {$this->mime}");
		}

		switch ($this->mime)
		{
		case 'image/jpeg':
			imagejpeg($dst_image, null, 100);
			break;
		case 'image/png':
			imagepng($dst_image, null, 0);
			break;
		case 'image/gif':
			imagegif($dst_image, null);
			break;
		}

		if ($return)
		{
			$buffer = ob_get_contents();
			ob_end_clean();

			return $buffer;
		}
	}
}
