<?php
///
// Isolde (Revision r168core-r133app)
//
// A third party package for CodeIgniter
//
// Copyright (c) 2013 Kenta Saito (gatedruid.com)
// License       MIT License (See ../../../isolde_license.txt)
//
?>
<?php
// Choice
$CI =& get_instance();
if (isset($CI->config->item('choice')[$vars->key]))
{
	$choice = $CI->config->item('choice')[$vars->key];
	$query =
		"SELECT {$choice[0]}.{$choice[1]} AS c_value, {$choice[0]}.{$choice[2]} AS c_label FROM {$choice[0]}";
	;

	if (isset($isolde->config->join[$isolde->segments->actor][$choice[0]]))
	{
		$query .= ' '.$isolde->config->join[$isolde->segments->actor][$choice[0]];
	}

	if (isset($isolde->config->conditions[$isolde->segments->actor][$choice[0]]))
	{
		$config_conditions = $isolde->config->conditions[$isolde->segments->actor][$choice[0]];
		foreach ($config_conditions as $key => $value)
		{
			if (isset($isolde->auth->id))
			{
				$config_conditions[$key] = preg_replace('/{\$auth->id}/', $isolde->auth->id, $value);
			}
		}
		$query .= ' WHERE '.implode(', ', $config_conditions);
	}

	$result = $CI->db->query($query)->result();
	array_unshift($result, (object) array('c_value' => '', 'c_label' => ''));
	$element = '<select name="'.$vars->kvk.'" id="'.$vars->kvk.'" class="form-control" onchange="this.form.submit();">';
	foreach ($result as $row)
	{
		$label = htmlspecialchars(mb_substr($row->c_label, 0, 16));
		if (mb_strlen($row->c_label) > 16)
		{
			$label .= '...';
		}
		$element .=
			'<option value="'.$row->c_value.'"'.($row->c_value == condition_value($vars->kvk, $vars->value, TRUE) ? ' selected' : '').'>'.
			$label.
			'</option>'
		;
	}
	$element .= '</select>';
	echo $element;

	return;
}

$element =
	'<input'.
	' type="text" name="'.$vars->kvk.'" id="'.$vars->kvk.'"'.
	' value="'.condition_value($vars->kvk, $vars->value, TRUE).'"'.
	' size="'.min(32, $vars->field->CHARACTER_MAXIMUM_LENGTH).'"'.
	' class="form-control"'.
	' />'
;

if (isset($vars->field->DATA_TYPE))
{
	// Datetime
	if ($vars->field->DATA_TYPE == 'datetime')
	{
		$element =
			'<input'.
			' type="text" name="'.$vars->kvk.'" id="'.$vars->kvk.'"'.
			' value="'.condition_value($vars->kvk, $vars->value, TRUE).'"'.
			' size="14"'.
			' class="form-control"'.
			' />'
		;
	}
	// Password
	else if ($vars->field->DATA_TYPE == 'password')
	{
		$element =
			'<input'.
			' type="password" name="'.$vars->kvk.'" id="'.$vars->kvk.'"'.
			' value=""'.
			' size="32"'.
			' class="form-control"'.
			' />'
		;
	}
	// Enum
	else if ($vars->field->DATA_TYPE == 'enum')
	{
		$options = preg_replace('/^enum\(\'(.*)\'\)$/', '$1', $vars->field->COLUMN_TYPE);
		$options = explode("','", $options);
		array_unshift($options, '');
		$element = '<select name="'.$vars->kvk.'" id="'.$vars->kvk.'" onchange="this.form.submit();">>';
		foreach ($options as $option)
		{
			$element .=
				'<option value="'.$option.'"'.($option == condition_value($vars->kvk, $vars->value, TRUE) ? ' selected' : '').'>'.
				$option.
				'</option>'
			;
		}
		$element .= '</select>';
	}
	// Number
	else if ($vars->field->NUMERIC_PRECISION)
	{
		$element =
			'<input'.
			' type="text"'.
			' name="'.$vars->kvk.'" id="'.$vars->kvk.'"'.
			' value="'.condition_value($vars->kvk, $vars->value, TRUE).'"'.
			' size="'.$vars->field->NUMERIC_PRECISION.'"'.
			' style="text-align: right; font-family: monospace;"'.
			' class="form-control"'.
			' />'
		;
	}
}

echo $element;
?>
