<?php
///
// Isolde (Revision r168core-r133app)
//
// A third party package for CodeIgniter
//
// Copyright (c) 2013 Kenta Saito (gatedruid.com)
// License       MIT License (See ../../isolde_license.txt)
//
?>
<?php
$uri = $CI->input->server('HTTP_REFERER');
$uri = str_replace(site_url(), '', $uri);
$uri = preg_replace('/\?.*/', '', $uri);

$actions = $isolde->config->action_list;
if (isset($isolde->config->actions[$vars->segments->actor][$vars->segments->target]))
{
	$actions = $isolde->config->actions[$vars->segments->actor][$vars->segments->target];
}
?>

<?php
$fields = array_keys((array) $vars->fields);
if (isset($isolde->config->fields[$vars->segments->actor][$vars->segments->target][$vars->segments->action]))
{
	$fields = $isolde->config->fields[$vars->segments->actor][$vars->segments->target][$vars->segments->action];
}
?>

<h2><?php echo $isolde->crud->targets->{$vars->segments->target}->TABLE_COMMENT; ?></h2>

<a href="javascript:history.back();"><?php echo lang('back'); ?></a>

<?php if (in_array('index', $actions)): ?>
<a href="<?php href("{$vars->segments->target}"); ?>"><?php echo lang('index'); ?></a>
<?php endif; ?>

<?php if (in_array('edit', $actions)): ?>
<?php
$not_editable_row = FALSE;
if (isset($isolde->config->editable_rows[$isolde->segments->actor][$vars->segments->target]))
{
	$editable_row = $isolde->config->editable_rows[$isolde->segments->actor][$vars->segments->target];
	foreach ($editable_row as $key => $value)
	{
		$value = preg_replace('/{\$auth->id}/', $isolde->auth->id, $value);
		if ($vars->row->$key !== $value)
		{
			$not_editable_row = TRUE;
			break;
		}
	}
}
?>
<?php if ($not_editable_row): ?>
<span class="text-muted"><?php echo lang('edit'); ?></span>
<?php else: ?>
<a href="<?php href("{$vars->segments->target}/edit/{$vars->segments->id}"); ?>?uri=<?php echo $CI->uri->uri_string();?>"><?php echo lang('edit'); ?></a>
<?php endif; ?>
<?php endif; ?>

<?php if (in_array('delete', $actions)): ?>
<?php
$not_deletable_row = FALSE;
if (isset($isolde->config->deletable_rows[$isolde->segments->actor][$vars->segments->target]))
{
	$deletable_row = $isolde->config->deletable_rows[$isolde->segments->actor][$vars->segments->target];
	foreach ($deletable_row as $key => $value)
	{
		$value = preg_replace('/{\$auth->id}/', $isolde->auth->id, $value);
		if ($vars->row->$key !== $value)
		{
			$not_deletable_row = TRUE;
			break;
		}
	}
}
?>
<?php if ($not_deletable_row): ?>
<span class="text-muted"><?php echo lang('delete'); ?></span>
<?php else: ?>
<a href="<?php href("{$vars->segments->target}/delete/{$vars->segments->id}"); ?>?uri=<?php echo $uri;?>"><?php echo lang('delete'); ?></a>
<?php endif; ?>
<?php endif; ?>

<?php
template("pre_{$vars->segments->action}", array('vars' => $vars), TRUE);
?>
<table class="table table-bordered">
<?php foreach ($fields as $key): ?>
<tr>
<th style="width: 1px; white-space: nowrap;"><?php echo $vars->fields->{$key}->COLUMN_COMMENT; ?></th>
<td>
<?php
$belongs_to = FALSE;
if (isset($isolde->config->association['belongs_to'][$vars->segments->target][$key]))
{
	$belongs_to = $isolde->config->association['belongs_to'][$vars->segments->target][$key];
}
$as = preg_replace('/.* AS /i', '', $key);
template('ui/form_label', array(
	'field' => $vars->fields->$key,
	'value' => $vars->row->$as,
	'key' => $key,
	'belongs_to' => $belongs_to,
	'actions' => $actions,
	'segments' => $vars->segments,
	'row' => $vars->row,
));
?>
</td>
</tr>
<?php endforeach; ?>
</table>
<?php
template("post_{$vars->segments->action}", array('vars' => $vars), TRUE);
?>

<?php if ($vars->has_many): ?>
<?php foreach ($vars->has_many as $target => $v): ?>
<?php if ( ! in_array($v->segments->target, $isolde->config->targets[$isolde->segments->actor])) continue; ?>
<h3 style="display: inline;"><?php echo $isolde->crud->targets->{$v->segments->target}->TABLE_COMMENT; ?></h3>
<a href="<?php href("{$v->segments->target}?condition={$v->key_field}={$vars->segments->id}"); ?>">
<?php
lang_val('index_of_belongs_to', array(
	$isolde->crud->targets->{$v->segments->target}->TABLE_COMMENT,
	$isolde->crud->targets->{$vars->segments->target}->TABLE_COMMENT,
));
?>
</a>
<br />
<?php
lang_val('first_n_lines', array(
	min($v->total_rows, $CI->session->userdata('per_page')),
	$v->total_rows,
));
?>
<?php
if (file_exists(APPPATH."views/{$v->segments->actor}/{$v->segments->target}/{$v->segments->action}.php"))
{
	template("{$v->segments->target}/{$v->segments->action}", $v);
}
else
{
	template("_crud/{$v->segments->action}", $v);
}
?>
<?php endforeach; ?>
<?php endif; ?>
