<?php
///
// Isolde (Revision r168core-r133app)
//
// A third party package for CodeIgniter
//
// Copyright (c) 2013 Kenta Saito (gatedruid.com)
// License       MIT License (See ../../isolde_license.txt)
//
?>
<style>
table {border-collapse: collapse;}
td, th { border: 1px solid #444; font-size: 112%; vertical-align: baseline;}
h2 {font-size: 125%; margin: 0;}
h3 {font-size: 100%; margin-bottom: 0;}
.h {background-color: #9999cc; font-weight: normal; color: #000000;}
.t {background-color: #9999cc; font-weight: normal; color: #000000; text-align: center; vertical-align: middle;}
.e {background-color: #ccccff; font-weight: normal; color: #000000;}
.v {background-color: #cccccc; color: #000000;}
.int {background-color: #cccccc; font-weight: bold; color: #000000;}
.yes {background-color: #cccccc; font-weight: bold; color: #000000;}
.no {background-color: #cccccc; font-weight: normal; color: #808080;}
caption {text-align: left;}
</style>
<?php
function yes_no($value)
{
	if (is_int($value))
	{
		echo '<span class="yes">Yes</span>';
		echo '<span class="no">('.($value + 1).')</span>';
	}
	else
	{
		echo '<span class="'.(is_int($value) ? 'int' : ($value ? 'yes' : 'no')).'">';
		echo $value ? 'Yes' : 'No';
		echo '</span>';
	}
}
?>

<h2><?php echo lang('actors'); ?></h2>
<?php
template("{$isolde->segments->target}/actors", array(
	'actors' => $vars->config->actors,
	'authentication' => $vars->config->authentication,
	'summary' => $vars->config->summary,
));
?>
<hr/ >

<h2><?php echo lang('targets'); ?></h2>
<?php
template("{$isolde->segments->target}/targets", array(
	'target_list' => $vars->config->target_list,
	'targets' => $vars->config->targets,
));
?>
<hr/ >

<h2><?php echo lang('actions'); ?></h2>
<?php
template("{$isolde->segments->target}/actions", array(
	'action_list' => $vars->config->action_list,
	'actions' => $vars->config->actions,
));
?>
<hr/ >

<h2><?php echo lang('fields'); ?></h2>
<?php
template("{$isolde->segments->target}/fields", array(
	'target_list' => $vars->config->target_list,
	'fields' => $vars->config->fields,
));
?>
<hr/ >

<h2><?php echo lang('choice'); ?></h2>
<?php
template("{$isolde->segments->target}/choice", array(
	'choice' => $vars->config->choice,
));
?>
<hr/ >

<h2><?php echo lang('association'); ?></h2>
<?php
template("{$isolde->segments->target}/association", array(
	'association' => $vars->config->association,
));
?>
<hr/ >

<h2><?php echo lang('pagination'); ?></h2>
<?php
template("{$isolde->segments->target}/pagination", array(
	'per_page_list' => $vars->config->per_page_list,
	'per_page' => $vars->config->per_page,
));
?>
<hr/ >

<h2><?php echo lang('sort'); ?></h2>
<?php
template("{$isolde->segments->target}/sort", array(
	'sort' => $vars->config->sort,
));
?>
<hr/ >

<h2><?php echo lang('controllers'); ?></h2>
<?php
require APPPATH.'config/routes.php';
template("{$isolde->segments->target}/controllers", array(
	'controllers' => $route,
));
